net.sf.statcvs.charts

## Class TimeBarChartMaker.WeekdayBarChartMaker

- java.lang.Object
- - net.sf.statcvs.charts.TimeBarChartMaker
  - - net.sf.statcvs.charts.TimeBarChartMaker.WeekdayBarChartMaker

Enclosing class:
  TimeBarChartMaker

    public static class TimeBarChartMaker.WeekdayBarChartMaker
    extends TimeBarChartMaker

### Nested Class Summary

### Nested classes/interfaces inherited from class net.sf.statcvs.charts.TimeBarChartMaker

`TimeBarChartMaker.HourBarChartMaker, TimeBarChartMaker.WeekdayBarChartMaker`

### Constructor Summary

Constructors
Constructor and Description
`TimeBarChartMaker.WeekdayBarChartMaker(String chartName, ReportConfig config, SortedSet revisions, String title, String fileName)` Creates a bar chart showing a distribution of revisions over the days of the week.

### Method Summary

Methods
`protected int` `barNumberForTime(Calendar time)`

### Methods inherited from class net.sf.statcvs.charts.TimeBarChartMaker

`toFile`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TimeBarChartMaker.WeekdayBarChartMaker

    public TimeBarChartMaker.WeekdayBarChartMaker(String chartName,
                                          ReportConfig config,
                                          SortedSet revisions,
                                          String title,
                                          String fileName)

Creates a bar chart showing a distribution of revisions over the days of the week.

Parameters:
  `config` - The configuration to use
  `revisions` - The set of revisions to analyze
  `title` - The title of the chart
  `fileName` - The file for saving the chart

### Method Detail

#### barNumberForTime

    protected int barNumberForTime(Calendar time)

Specified by:
  `barNumberForTime` in class `TimeBarChartMaker`